Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452149 - Published xml rpc api documentation is wrong; should not include removePackages
Summary: Published xml rpc api documentation is wrong; should not include removePackages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn505
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Stephen Herr
URL:
Whiteboard:
Depends On:
Blocks: 457802
TreeView+ depends on / blocked
 
Reported: 2008-06-19 16:45 UTC by Stephen Herr
Modified: 2013-01-10 10:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-25 13:03:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Herr 2008-06-19 16:45:48 UTC
Description of problem:
The published API includes the method packages.removePackage. It should not,
that method is only valid on Satellites. We don't want anyone being able to
remove packages from production channels in Hosted. They're not able to today,
it just throws an error saying that method is only valid in satellite, but we
should remove it from the documentation to avoid confusion.

Version-Release number of selected component (if applicable):
5.0.6

How reproducible:
Always

Steps to Reproduce:
1. Log into RHN
2. Click "Help"
3. Click "API"
4. Click "Packages"
  
Actual results:
"removePackage" method exists

Expected results:
it shouldn't

Additional info:

Comment 1 Sebastian Skracic 2008-08-25 09:48:21 UTC
Code removed in r118962.

Comment 2 Stephen Herr 2008-08-26 15:43:10 UTC
verified in dev


Note You need to log in before you can comment on or make changes to this bug.